/**
 * author: dabao
 */
var VUE = null
window.addEventListener("load", function() {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				form: {
					// 检查日期
					hdInspectDate: '',
					// 检查人员
					hdInspectExpert: '',
					// 隐患类型
					hdLevel: '1',
					// 安全类别
					curSelectSecType: '',
					// 安全检查类别
					curSelectSecCheckTypeReplace: '',
					// 当前选择的安全检查内容
					curSelectCheckContent: '',
					// 发现问题
					hdName: '',
					// 隐患描述
					hdDesc: "",
					// 检查依据
					basis: '',
					// 隐患整改建议
					suggestion: '',
					// 隐患图片
					hdPic: null,
					// 隐患整改日期
					hdRectificationDate: '2024-3-8 10:04:09',
					// 隐患整改图片
					hdRectificationPic: null,
					// 整改图片文件路径
					rectFilePath: '',
					// 审核人
					hdAcceptancePerson: "刘德华",
					hdRectificationRecord: '24年02月22日 审核未通过;24年02月22日 审核未通过',
					hdInspectDate: '2024-3-11 14:37:53',
					hdStatus: 1,
				},
				// 企业id
				companyId: localStorage.getItem('companyId'),
				editAble: true,

				// 安全类别列表数据
				secType: [{
					name: '安全资料类',
				}, {
					name: '现场检查类',
				}],
				showPopup4secType: false,

				// 安全检查类别列表数据
				secCheckTypeReplace: [],
				showPopup4secCheckTypeReplace: false,
				// 安全检查内容列表数据
				secCheckContent: [],
				showPopup4secCheckContent: false,
				// 安全发现问题列表数据
				secCheckDiscover: [],
				showPopup4secCheckDiscover: false,

				// 检查日期的模态框
				hdInspectDateModel: '', // 时间的临时model值
				showPopup4hdInspectDate: false,

				// 整改日期模态框
				hdRectificationDateModel: '',
				showPopup4hdRectificationDate: false,


				fileList: [],
				// columns4findQuestion: ['杭州', '宁波', '温州', '绍兴', '湖州', '嘉兴', '金华', '衢州'],
				// findQuestion: '',



			}
		},
		mounted() {},

		methods: {
			submit() {
				if (!this.form.hdInspectDate) {
					vant.Dialog.alert({
						message: '检查日期不能为空',
					})
					return
				}
				if (!this.form.curSelectSecType) {
					vant.Dialog.alert({
						message: '请选择安全类别',
					})
					return;
				}
				if (!this.form.curSelectSecCheckTypeReplace) {
					vant.Dialog.alert({
						message: '请选择安全检查类别',
					})
					return;
				}
				if (!this.form.curSelectCheckContent) {
					vant.Dialog.alert({
						message: '请选择安全检查内容',
					})
					return;
				}
				if (!this.form.hdName) {
					vant.Dialog.alert({
						message: '请选择发现问题',
					})
					return;
				}
				if (!this.fileList.length) {
					vant.Dialog.alert({
						message: '没有隐患照片',
					})
					return
				}

				let formData = {
					...this.form
				}
				formData.county = localStorage.getItem('appCounty');
				delete formData.hdPic
				delete formData.hdRectificationPic
				delete formData.imgsrcurl
				delete formData.imgrecturl
				delete formData.hdFilePath
				delete formData.rectFilePath

				if (!this.form.comment) {
					delete formData.comment
				}
				if (!formData.hdInspectDate) {
					delete formData.hdInspectDate
				}
				if (!formData.hdRectificationDate) {
					delete formData.hdRectificationDate
				}
				
				var url = this.form.hdId ? "/api/thHiddenDanger/update" : "/api/thHiddenDanger"
         
				http.post(url, {
					...formData
				}).then((res) => {
					console.log('添加结果', res)
					// this.secCheckTypeReplace = res.content || []
				
				})
				


			},
			formatDate(date) {
				return `${date.getFullYear() + 1}/${date.getMonth() + 1}/${date.getDate()}`;
			},
			onConfirm4secType(value, index) {
				console.log('value', value)
				this.form.curSelectSecType = value.name
				this.showPopup4secType = false

				/**
					逻辑处理相关
					1、清理安全检查类别、检查内容和发现问题的相关信息
					2、请求获取下级列表数据 检查类别
				 */
				this.secCheckTypeReplace = []
				this.secCheckContent = []
				this.secCheckDiscover = []
				// 安全检查类别
				this.form.curSelectSecCheckTypeReplace = ''
				// 当前选择的安全检查内容
				this.form.curSelectCheckContent = ''
				// 发现问
				this.form.hdName = ''

				http.get('/api/enterpriseSafetyInspectionContent', {
					county: localStorage.getItem('appCounty'),
					level: 1,
					type: value.name,
					page: 0,
					size: 99999,
				}).then((res) => {
					this.secCheckTypeReplace = res.content || []

				})



			},
			onConfirm4secCheckTypeReplace(value, index) {
				console.log('value', value)
				this.form.curSelectSecCheckTypeReplace = value.name
				this.showPopup4secCheckTypeReplace = false

				/**
					逻辑处理相关
					1、清理安全检查类别、检查内容和发现问题的相关信息
					2、请求获取下级列表数据 检查类别
				 */
				this.secCheckContent = []
				this.secCheckDiscover = []
				// 当前选择的安全检查内容
				this.form.curSelectCheckContent = ''
				// 发现问题
				this.form.hdName = ''

				http.get('/api/enterpriseSafetyInspectionContent', {
					county: localStorage.getItem('appCounty'),
					level: 2,
					pid: value.id,
					page: 0,
					size: 99999,
				}).then((res) => {
					this.secCheckContent = res.content || []
				})
			},
			onConfirm4secCheckContent(value) {
				this.form.curSelectCheckContent = value.name
				this.showPopup4secCheckContent = false

				/**
					逻辑处理相关
					1、清理安全检查类别、检查内容和发现问题的相关信息
					2、请求获取下级列表数据 检查类别
				 */
				this.secCheckDiscover = []
				// 发现问题
				this.form.hdName = ''

				http.get('/api/enterpriseSafetyMatter', {
					inspectionContentId: value.id,
					page: 0,
					size: 99999,
				}).then((res) => {
					this.secCheckDiscover = res.content || []
				})
			},
			onConfirm4secCheckDiscover(value) {
				this.form.hdName = value.name
				this.showPopup4secCheckDiscover = false

				// 给检查依据和整改建议赋默认值
				this.form.basis = value.basis
				this.form.suggestion = value.suggestion
			},

			confirm4hdInspectDate(value) {
				console.log('value', value)
				this.form.hdInspectDate = this.formatDate(new Date(value))
				this.showPopup4hdInspectDate = false

			},
			confirm4hdRectificationDate(value) {
				console.log('value', value)
				this.form.hdRectificationDate = this.formatDate(new Date(value))
				this.showPopup4hdRectificationDate = false

			},
		},
	});
});